From dc498e1b3282d09437b0a8174df3c8aa82dd455b Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Mon, 24 Jun 2019 21:15:40 -0700
Subject: [PATCH] sway: depend on elogind for elogind build option.

---
 srcpkgs/sway/template | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/sway/template b/srcpkgs/sway/template
index 099252eea33..566f0d3cc0d 100644
--- a/srcpkgs/sway/template
+++ b/srcpkgs/sway/template
@@ -7,14 +7,16 @@ conf_files="/etc/sway/config"
 hostmakedepends="pkg-config wayland-devel scdoc git"
 makedepends="wlroots-devel wayland-devel wayland-protocols pcre-devel
  json-c-devel pango-devel cairo-devel gdk-pixbuf-devel"
-depends="xorg-server-xwayland"
+depends="xorg-server-xwayland $(vopt_if elogind "elogind")"
 short_desc="Tiling Wayland compositor compatible with i3"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="https://swaywm.org"
 distfiles="https://github.com/swaywm/${pkgname}/archive/${version}.tar.gz"
 checksum=24dafd0f1e630e97a5dd47233841adf856b665e2321d6207acfe6b3002d1bc56
+
 build_options="elogind"
+desc_option_elogind="Uses elogind instead of setuid for privilege escalation"
 
 post_install() {
 	vlicense LICENSE
